Bug 137857 - missing return statement
missing return statement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-02 04:42 EST by David Binderman
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 21:10:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-02 04:42:12 EST
Description of problem:

I just tried to compile package pcmcia-cs-3.2.7-1.12 from 
Redhat Fedora Core 3 Test 3.

The compiler said

yacc_cis.y(398): warning #1011: missing return statement at end of
non-void function "new_tuple"

The source code is

static tuple_info_t *new_tuple(u_char type, cisparse_t *parse)
{
    tuple_info_t *t = calloc(1, sizeof(tuple_info_t));
    t->type = type;
    t->parse = parse;
    t->next = NULL;
}

Suggest either add return type or mark the function as void.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2005-01-10 21:10:02 EST
fixed in cvs.

Note You need to log in before you can comment on or make changes to this bug.